////////////////// Eine Materialien - Datei /////////////////
define materialien, skill20;

material* mat_pnt;


material mat_smaragd {

    ambient_blue = 100;
    ambient_green = 255;
    ambient_red = 100;
    diffuse_blue = 0;
    diffuse_green = 100;
    diffuse_blue = 77;
    specular_blue = 255;
    specular_green = 255;
    specular_red = 200;
    power = 10;
  }


material mat_specular {
    ambient_blue = 73;
    ambient_green = 33;
    ambient_red = 33;
    diffuse_blue = 77;
    diffuse_green = 77;
    diffuse_blue = 77;
    specular_blue = 255;
    specular_green = 255;
    specular_red = 255;
    power = 3;
  }


material mat_metall {
    ambient_blue = 0;
    ambient_green = 0;
    ambient_red = 0;
    diffuse_blue = 200;
    diffuse_green = 160;
    diffuse_red = 160;
    specular_blue = 255;
    specular_green = 0;
    specular_red = 0;
    power = 3;
  }



material mat_blue {
    ambient_blue = 0;
    ambient_green = 0;
    ambient_red = 0;
    diffuse_blue = 200;
    diffuse_green = 33;
    diffuse_red = 33;
    specular_blue = 0;
    specular_green = 0;
    specular_red = 0;
    power = 2;
  }


material mat_metallic {
    ambient_blue = 200;
    ambient_green = 0;
    ambient_red = 0;
	diffuse_blue = 200;
    specular_blue = 255;
	specular_green = 200;
    specular_red = 0;
    power = 10;
  }


material mat_emissive {
	emissive_red = 255;
    ambient_blue = 55;
    ambient_green = 55;
    ambient_red = 55;
	diffuse_blue = 200;
    specular_blue = 255;
	specular_green = 200;
    specular_red = 200;
    power = 10;
  }

material blue_emissive {
	emissive_blue = 100;
    ambient_green = 22;
    ambient_blue = 22;
    ambient_red = 55;
	diffuse_blue = 100;
    specular_blue = 100;
	specular_green = 100;
    specular_red = 0;
    power = 4;
  }



material Duschglas
{
alpha = 25;
specular_blue	= 120;
specular_green	= 77;
}


material LeuchtSchirm
{
alpha = 75;
emissive_red = 222;
emissive_green = 222;
emissive_blue = 255;

power = 10;
}




function AssignMaterial()
{
if (my.materialien == 1)
	{
	my.material = mat_smaragd;
	}

if (my.materialien == 2)
	{
	my.material = mat_specular;
	}

if (my.materialien == 3)
	{
	my.material = mat_metall;
	}

if (my.materialien == 3)
	{
	my.material = mat_blue;
	}

if (my.materialien == 4)
	{
	my.material = mat_metallic;
	}

if (my.materialien == 5)
	{
	my.material = mat_emissive;
	}


if (my.materialien == 6)
	{
	my.material = blue_emissive;
	}


if (my.materialien == 7)
	{
	my.material = Duschglas;
	}


if (my.materialien == 8)
	{
	// skin_attribut = my.skill16;
	my.material = mtl_envmirror;
	mtl.skill12 = my.skill16;
	}

if (my.materialien == 9)                 // der zweite Spiegel
	{
	// mtl_envmirror_init();
	my.material = mtl_secondmirror; 
	}


if (my.materialien == 10)
	{
	my.material = mtl_thirdmirror;
	}


if (my.materialien == 11)
	{
	my.material = mtl_forthmirror;
	}


if (my.materialien == 12)
	{
	my.material = wireframe;
	}

if (my.materialien == 13)
	{
	my.material = mat_pointlight;
	}

if (my.materialien == 14)
	{
	my.material = mat_beach;
	}

if (my.materialien == 15)
	{
	my.material = mat_addition;
	}

if (my.materialien == 16)
	{
	my.material = LeuchtSchirm;
	}

}



function ChangeMaterial(no)
{
my.materialien = no;
AssignMaterial(no);
}



//-----------------------------------------------------------------------------
// Name: Konstruktor
// Desc: 
//----------------------------------------------------------------------------





////////////////////////////// Cubomatic //////////////////////////////////////



var cuberesolution=128; // set up the resolution of the cube here
var cubeposition[3]=0,0,200; // set up the position of the cube here

var west[3]=180,0,0;

var north[3]=90,0,0;

var east[3]=0,0,0;

var south[3]=-90,0,0;

var down[3]=90,-90,0;

var up[3]=90,90,0;


function InitRendercube()
{
cubeposition[0] = camera.x;
cubeposition[1] = camera.y;
cubeposition[2] = camera.z;
}



function rendercube()

{
	// beep;

	video_set(cuberesolution,cuberesolution,32,0);

	camera.arc=90;

	vec_set(camera.x,cubeposition);

	vec_set(camera.pan,west);

	wait(1);

	_sshot();

	vec_set(camera.x,cubeposition);

	vec_set(camera.pan,north);

	wait(1);

	_sshot();

	vec_set(camera.x,cubeposition);

	vec_set(camera.pan,east);

	wait(1);

	_sshot();

	vec_set(camera.x,cubeposition);

	vec_set(camera.pan,south);

	wait(1);

	_sshot();

	vec_set(camera.x,cubeposition);

	vec_set(camera.pan,down);

	wait(1);

	_sshot();

	vec_set(camera.x,cubeposition);

	vec_set(camera.pan,up);

	wait(1);

	_sshot();

}






