//////////////////////////// Sounds.wdl

var GeneralSound = 0;



sound AscOpen = <AscOpen.wav>; // ffnen des Fahrstuhls
var_nsave AscOpen_handle;


sound AscClose = <AscClose.wav>; // Schlieen des Fahrstuhls
var_nsave AscClose_handle;


sound AscLoop = <AscLoop.wav>; // Fahrgerusch Loop
var_nsave AscLoop_handle;

sound AscStop = <AscStop.wav>; // 
var_nsave AscStop_handle;



function FahrstuhlSound()
{
if (GeneralSound == 0)
	{
	AscLoop_handle = ent_playloop(my, AscLoop, 100);
	}
}


function FahrstuhlStop()
{
snd_stop(AscLoop_handle); 
AscStop_handle = ent_playsound(my,AscStop,100);
}




function FahrstuhlOpen()
{
AscOpen_handle = ent_playsound(my,AscOpen,100);
}


function FahrstuhlClose()
{
AscOpen_handle = ent_playsound(my,AscOpen,100);
}



function OpenClose()
{
snd_stop(AscOpen_handle); 
AscStop_handle = ent_playsound(my,AscStop,100);
}


function CloseClose()
{
snd_stop(AscOpen_handle); 
AscClose_handle = ent_playsound(my,AscClose,100);
}


///////////////////////////// fr eine Schublade

sound LadeOpen = <LadeOpen.wav>; // 
var_nsave LadeOpen_handle;


sound LadeProcess = <LadeProzess.wav>; // 
var_nsave LadeProcess_handle;

sound LadeClose = <LadeClose.wav>; // 
var_nsave LadeClose_handle;

sound LadeClose2 = <LadeOpen2.wav>; // 
var_nsave LadeClose2_handle;



function SchubladeAuf()
{
LadeOpen_handle = ent_playsound(my,LadeOpen,100);
}



sound Newspaper = <Newspaper.wav>; 

function SoundTest()
{
snd_play(Newspaper,100, 0);
}




function SchubladeProzess()
{
LadeProcess_handle = ent_playsound(my, LadeProcess, 100);
}


function SchubladeZu()
{
snd_stop(LadeProcess_handle); 
LadeClose_handle = ent_playsound(my,LadeClose,100);
}


function SchubladeAufZu()
{
LadeClose_handle = ent_playsound(my,LadeClose2,100);
}



////////////////////////////// Tren-Sets

sound MetallTuerOpen = <MetallTuerOpen.wav>; 
var_nsave MetallTuerOpen_handle;


sound MetallTuerProcess = <MetallTuerProcess.wav>; 
var_nsave MetallTuerProcess_handle;

sound MetallTuerFinish = <MetallTuerFinish.wav>; 
var_nsave MetallTuerFinish_handle;


function MetalDoorOpen()
{
MetallTuerOpen_handle = ent_playsound(my,MetallTuerOpen,100);
};


function MetalDoorProcess()
{
MetallTuerProcess_handle = ent_playsound(my,MetallTuerProcess,100);
};


function MetalDoorFinish()
{
MetallTuerFinish_handle = ent_playsound(my,MetallTuerFinish,100);
};





////////////////////////////// Tren-Sets

sound FridgeOpen = <FridgeOpen.wav>; 
var_nsave FridgeOpen_handle;


sound FridgeProcess = <FridgeProcess.wav>; 
var_nsave FridgeProcess_handle;

sound FridgeFinish = <FridgeFinish.wav>; 
var_nsave FridgeFinish_handle;



function RefrigeratorOpen()
{
FridgeOpen_handle = ent_playsound(my,FridgeOpen,100);
};


function RefrigeratorProcess()
{
FridgeProcess_handle = ent_playloop(my,FridgeProcess,100);
};


function RefrigeratorProcessStop()
{
snd_stop(FridgeProcess_handle);
};



function RefrigeratorFinish()
{
FridgeFinish_handle = ent_playsound(my,FridgeFinish,100);
};





////////////////////////////// Tren-Sets

sound HolztuerOpen = <HolztuerStart.wav>; 
var_nsave HolztuerOpen_handle;


sound HolztuerProcess = <HolztuerProcess.wav>; 
var_nsave HolztuerProcess_handle;

sound HolztuerFinish = <HolztuerFinish.wav>; 
var_nsave HolztuerFinish_handle;





function WoodenDoorOpen()
{
HolztuerOpen_handle = ent_playsound(my,HolztuerOpen,100);
};


function WoodenDoorProcess()
{
HolztuerProcess_handle = ent_playsound(my,HolztuerProcess,100);
};


function WoodenDoorFinish()
{
snd_stop(HolztuerProcess_handle); 
HolztuerFinish_handle = ent_playsound(my,HolztuerFinish,100);
};




////////////////////////////// Tren-Sets

sound TuerGleiterOpen = <TuerGleiterStart.wav>; 
var_nsave TuerGleiterOpen_handle;


sound TuerGleiterProcess = <TuerGleiterProcess.wav>; 
var_nsave TuerGleiterProcess_handle;

sound TuerGleiterFinish = <TuerGleiterFinish.wav>; 
var_nsave TuerGleiterFinish_handle;




function GliderDoorOpen()
{
TuerGleiterOpen_handle = ent_playsound(my,TuerGleiterOpen,100);
};


function GliderDoorProcess()
{
TuerGleiterProcess_handle = ent_playsound(my,TuerGleiterProcess,100);
};


function GliderDoorFinish()
{
snd_stop(TuerGleiterProcess_handle); 
TuerGleiterFinish_handle = ent_playsound(my,TuerGleiterFinish,100);
};




//////////////////////////////////////////////////////////////////////////////////


sound Crash = <Crash.wav>; 
var_nsave Crash_handle;

sound Crash2 = <Crash2.wav>;
var_nsave Crash2_handle;


function CrashSound(no)
{

if (no > 35)
	{
	Crash_handle = snd_play(Crash, no, 0);
	}
else
	{
	Crash2_handle = snd_play(Crash2, no, 0);
	}
}



//////////////////////////////////////////////////////////////////////////////////


sound Handy = <HandyKlingeln2.wav>; 
var_nsave Handy_handle;


function ExternalPhoneCall()
{
Handy_handle = ent_playsound(my,Handy,100);
}




//////////////////////////// Nachbar Sound - Set ////////////////////////////////////
sound NeighbourBump = <NeighbourBump.wav>; 
var_nsave NeighbourBump_handle;


function NachbarBump(input)
{
NeighbourBump_handle = ent_playsound(my,NeighbourBump,input);
}



sound NeighbourBohrer = <NeighbourBohrer.wav>; 
var_nsave NeighbourBohrer_handle;


function NachbarBohrer(input)
{
NeighbourBohrer_handle = ent_playsound(my,NeighbourBohrer,input);
}


sound NeighbourToilet = <NeighbourToilet.wav>; 
var_nsave NeighbourToilet_handle;


function NachbarToilet(input)
{
NeighbourToilet_handle = ent_playsound(my,NeighbourToilet,input);
}



sound NeighbourWandbohrer = <NeighbourWandbohrer.wav>; 
var_nsave NeighbourWandbohrer_handle;


function NachbarWandbohrer(input)
{
NeighbourWandbohrer_handle = ent_playsound(my,NeighbourWandbohrer,input);
}


sound Hinge = <Hinge.wav>; 
var_nsave Hinge_handle;

sound Hinge2 = <Hinge2.wav>; 
var_nsave Hinge2_handle;


function HingeSound()
{
Hinge_handle = ent_playsound(my,Hinge,100);
}

function HingeSound2()
{
Hinge2_handle = ent_playsound(my,Hinge2,100);
}





sound Sign = <SignNova.wav>;
// sound Sign = <Strings.wav>;
var_nsave Sign_handle;

function TriggerSign()
{
snd_play(Sign,100, 0);
}


sound Sax = <sax02.wav>;
var_nsave Sax_handle;


function InventSound()
{
snd_play(Sax,100, 0);
}









on_f7 = TriggerSign;

